## Retrieve Limits

**get** `/teams/{teamId}/limits`

Retrieve current limits for a team

### Path Parameters

- `teamId: string`

### Returns

- `limits: object { apiKeys, canvasAssetLayers, canvasAssets, 21 more }`

  The actual billing limits values related to the plan

  - `apiKeys: number`

  - `canvasAssetLayers: number`

  - `canvasAssets: number`

  - `collections: number`

  - `creativeUnits: number`

    The amount of Compute Units available for the plan

  - `defaultSeats: number`

  - `downloadAssets: number`

  - `downloadModel: number`

  - `inferenceBatchSize: number`

  - `maxCooldown: number`

    The maximum cooldown applied in case of over head

  - `maxTrainingDatasets: number`

  - `minCooldown: number`

    The minimum cooldown applied in case of over head

  - `models: number`

    The maximum models a project can have (train/upload/copy/transfer/...)

  - `OTPSessions: number`

  - `parallelCustomJobs: number`

  - `parallelInferences: number`

  - `parallelTraining: number`

  - `parallelWorkflowRuns: number`

  - `premiumGenerationSamples: number`

  - `projects: number`

    The maximum projects a team can have

  - `scalingFactor: number`

  - `seats: number`

  - `snapshotsRetention: number`

  - `upload: number`

- `oneShotCreativeUnits: array of object { amount, createdAt, expiration, 2 more }`

  The list of one-shot Compute Units

  Can be empty if the team has no one-shot Compute Units

  - `amount: number`

    The Compute Units amount bought

  - `createdAt: string`

    The creation date of the Compute Units (buy date)
    ISO string

  - `expiration: string`

    The expiration date of the Compute Units
    ISO string

  - `remaining: number`

    The remaining Compute Units available

  - `updatedAt: string`

    The last update date of the Compute Units (use date)
    ISO string

- `period: object { end, start }`

  The actual billing period start and end dates ISO strings

  - `end: string`

  - `start: string`

- `plan: "cu-basic" or "cu-creator" or "cu-max" or 9 more`

  The actual plan of the team

  - `"cu-basic"`

  - `"cu-creator"`

  - `"cu-max"`

  - `"cu-pro"`

  - `"cu-pro-q3-25"`

  - `"cu-team"`

  - `"cu-team-v2"`

  - `"enterprise"`

  - `"essential"`

  - `"free"`

  - `"premium"`

  - `"pro"`

- `values: object { apiKeys, canvasAssets, collections, 3 more }`

  The current value for each relevant limit in the billing period

  - `apiKeys: number`

  - `canvasAssets: number`

  - `collections: number`

  - `creativeUnits: number`

  - `projects: number`

  - `seats: number`

### Example

```http
curl https://api.cloud.scenario.com/v1/teams/$TEAM_ID/limits \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET"
```

#### Response

```json
{
  "limits": {
    "apiKeys": 0,
    "canvasAssetLayers": 0,
    "canvasAssets": 0,
    "collections": 0,
    "creativeUnits": 0,
    "defaultSeats": 0,
    "downloadAssets": 0,
    "downloadModel": 0,
    "inferenceBatchSize": 0,
    "maxCooldown": 0,
    "maxTrainingDatasets": 0,
    "minCooldown": 0,
    "models": 0,
    "OTPSessions": 0,
    "parallelCustomJobs": 0,
    "parallelInferences": 0,
    "parallelTraining": 0,
    "parallelWorkflowRuns": 0,
    "premiumGenerationSamples": 0,
    "projects": 0,
    "scalingFactor": 0,
    "seats": 0,
    "snapshotsRetention": 0,
    "upload": 0
  },
  "oneShotCreativeUnits": [
    {
      "amount": 0,
      "createdAt": "createdAt",
      "expiration": "expiration",
      "remaining": 0,
      "updatedAt": "updatedAt"
    }
  ],
  "period": {
    "end": "end",
    "start": "start"
  },
  "plan": "cu-basic",
  "values": {
    "apiKeys": 0,
    "canvasAssets": 0,
    "collections": 0,
    "creativeUnits": 0,
    "projects": 0,
    "seats": 0
  }
}
```
